﻿@model eCommerce.Services.Model.DeliveryOrder
@using eCommerce.Services.Model.Enums

<!-- Panel -->
<div class="panel">
    <div class="panel-body container-fluid">
        <div class="row">
            @Html.Partial("_DeliveryOrderPrintHeader", Model)
        </div>
        <h4>Detalle de la Entrega <span style="font-size:14px;">(@(Model.Order.CurrenyId == (int)CurrencyEnum.Peso ? "Pesos" : "Dolares")) </span></h4>
        <div class="row">
            <div class="page-invoice-table table-responsive">
                <table class="table table-hover text-right margin-bottom-0">
                    <thead>
                        <tr>
                            <th class="col-xs-1 text-center">#</th>
                            <th>Producto</th>
                            <th>Talle</th>
                            <th>Color</th>
                            <th class="col-sm-1 text-right">Cantidad</th>
                            <th class="text-right">Precio Unitario</th>
                            <th class="text-right">Des. (%)</th>
                            <th class="col-sm-1 text-right">Subtotal</th>
                        </tr>
                    </thead>
                    <tbody>
                        @{ int i = 1;
                            decimal order_discount = 0;
                            decimal order_subtotal = 0;}
                        @foreach (var item in Model.DeliveryOrderDetails)
                        {
                            var discount = item.OrderDetail.Discount.HasValue ? item.OrderDetail.Discount.Value : 0;
                            var subtotal = item.OrderDetail.Price * item.Quantity;
                            var total = discount > 0 ? subtotal - subtotal * discount / 100 : subtotal;
                            order_subtotal += total;
                            <tr>
                                <td class="text-center">@i.ToString()</td>
                                <td class="text-left">@(item.Product.Code)</td>
                                <td class="text-left">@item.OrderDetail.Size.Description</td>
                                <td class="text-left">@item.OrderDetail.Color.Description</td>
                                <td>@item.Quantity</td>
                                <td nowrap="nowrap">@string.Format("{0:c2}", item.OrderDetail.Price)</td>
                                <td nowrap="nowrap">@(discount > 0 ? string.Format("{0}%", discount) : string.Empty)</td>
                                <td nowrap="nowrap">@string.Format("{0:c2}", total)</td>
                            </tr>
                            i++;
                        }
                    </tbody>
                </table>
                <table class="table table-hover text-right margin-bottom-0">
                    <tbody>
                        @if (Model.Order.ShippingCost.HasValue && Model.Order.CurrenyId == (int)CurrencyEnum.Peso && Model.Order.ShippingCost.Value > 0)
                        {
                            <tr>
                                <th class="text-right" style="width:85%">COSTO DE ENTREGA</th>
                                <td class="text-right">$@Model.Order.ShippingCost.ToString()</td>
                            </tr>
                        }
                        @if (Model.Order.Discount.HasValue && Model.Order.Discount.Value > 0)
                        {
                            order_discount = Model.Order.Discount.Value;
                            <tr>
                                <th class="text-right" style="width:85%">DESCUENTO (@decimal.Round(Model.Order.Discount_Percent.Value,0)%)</th>
                                <td class="text-right">@string.Format("{0:c2}", Model.Order.Discount.Value)</td>
                            </tr>
                        }
                        <tr>
                            <th class="text-right" style="width:85%"><strong>TOTAL</strong></th>
                            <td class="text-right"><strong>@string.Format("{0:c2}", order_subtotal - order_discount)</strong></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        
    </div>
</div>
<!-- End Panel -->




